Skip to content

List Workspace Users

GET
/api/v1/workspaces/{workspace_id}/users
curl --request GET \
--url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/users \
--header 'Authorization: Bearer <token>'

Retrieves the users for a workspace.

workspace_id
required
integer

Workspace ID

Successful

Media typeapplication/json
object
results
required
Array<object>
object
id
required
integer
first_name
required
string
last_name
required
string
email
required
string format: email
created_at
required
string format: date-time
updated_at
required
string format: date-time
profile_image_url
required
string format: url
nullable
wants_marketing_emails
required
boolean
two_factor_enabled
required
boolean
disabled_email_notifications
required
Array<string>
Allowed values: mentioned_in_comment reply_in_comment_thread requested_review review_changes_requested review_approved ready_to_publish
pagination
object
per
required
integer
page
required
integer
total
required
integer
Example
{
"results": [
{
"id": 12345,
"first_name": "Joe",
"last_name": "Cottam",
"email": "joe@example.com",
"created_at": "2023-08-23T10:30:00.000Z",
"updated_at": "2023-08-23T10:30:00.000Z",
"profile_image_url": "https://example.com/profile.jpg",
"wants_marketing_emails": false,
"two_factor_enabled": false,
"disabled_email_notifications": [
"mentioned_in_comment"
]
}
],
"pagination": {
"per": 10,
"page": 1,
"total": 100
}
}

Unauthorized

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Forbidden

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Not Found

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}